//
//    copyright (c) 2013 T.Nakao      http://www.wsnak.com
//

#include <LiquidCrystal.h>

#define LCD_RS 10         // D10
#define LCD_E 11           // D11
#define LCD_D4 6        // D6
#define LCD_D5 7        // D7
#define LCD_D6 8        // D8
#define LCD_D7 9        // D9

// LCDのインスタンス化
LiquidCrystal lcd(LCD_RS, LCD_E, LCD_D4, LCD_D5, LCD_D6, LCD_D7);

// 初期化
void setup(void) {
  lcd.begin(16, 2);    // LCDを16文字2列に設定
  lcd.print("LCD TEST");    // LCDに文字列を表示
}

void loop(void) {
}
