//
//  シリアル通信テスト コマンド処理
//    copyright (c) 2013 T.Nakao      http://www.wsnak.com
//

int ledPin =  13;        // ピン13(D13)にオンボードLED

void setup() {     // 初期化関数
  Serial.begin(19200);             // シリアルポート初期化
  pinMode(ledPin, OUTPUT);  // D13を出力ポートに設定
}

void loop() {       // ユーザ・ループ関数
   char dat;

  if(Serial.available() > 0) {     // 受信バイト数の判定
    dat = Serial.read();             // 受信あり時データ取り出し

    switch(dat) {          // データ判定
      case '1':
        digitalWrite(ledPin, HIGH);   // LED ON
        break;
      case '2':
        digitalWrite(ledPin, LOW);    // LED OFF
        break;
    }
    Serial.println(dat);    // 文字を出力(入力確認のため)
  }
}
