//
//  #297テスト
//    copyright (c) 2013 T.Nakao      http://www.wsnak.com
//
//    12/06/07 #297 カウンタ表示プログラム
//

#include <wDisplay.h>
#include <wCTimer.h>

// デジタルポートのピン番号定義
int CLK = 2;
int DT = 3;
int COL1 = 4;
int COL2 = 5;
int COL3 = 6;
int COL4 = 7;

wCtcTimer2A tm;                                   // タイマのインスタンス
wD7Seg297 d7s(CLK, DT, COL1, COL2, COL3, COL4);   // 7セグボードのインスタンス

byte Count = 0;
unsigned int d7Count = 0;
byte Phase = 0;
byte Phase2 = 0;


// 初期化
void setup(void) {
  tm.init(125);           // タイマ周期を8msに設定

  d7s.onDelay = 500;

//  d7s.digRvs = true;

  d7s.setZeroSup(0);      // 0サプレスなし
//  d7s.setZeroSup(1);      // 0サプレスあり

d7s.dispBCDVal(1234);

//    d7s.offDelay = 10;
}

// メインループ
void loop(void) {
  if(tm.checkTimeup()) {
    // 8ms周期
//    Count++;
Count = 0;

  if(Count == 125) {
      // 1s周期
      Count = 0;
      d7s.dispBCDVal(d7Count);            // 10進数表示
//      d7s.dispHexaVal(d7Count);            // 16進数表示
      d7Count = (d7Count + 1) % 10000;    // カウント値更新

      switch(Phase) {
        case 0:
          d7s.setDP(1, 1);
          break;
        case 1:
          d7s.setDP(1, 0);
          d7s.setDP(2, 1);
          break;
        case 2:
          d7s.setDP(2, 0);
          d7s.setDP(3, 1);
          break;
        case 3:
          d7s.setDP(3, 0);
          d7s.setDP(4, 1);
          break;
        default:
          d7s.setDP(4, 0);
          break;
      }
      Phase = (Phase + 1) % 5;

      Phase2 = (Phase2 + 1) % 10;

      if(Phase2 == 5) {
//        d7s.disp(0);
      } else if(Phase2 == 0) {
//        d7s.disp(1);
      }


    }
  }

  d7s.process();
}
