//
// I2C制御 ACM1602 テスト用I2Cホスト wire使用バージョン
//   copyright (c) 2013 T.Nakao      http://www.wsnak.com
//
//   動作OK
//

#include <Wire.h>


void setup(void) {
  byte adrs, i;

  Wire.begin();

  // LCD初期化
  delay(15);
  writeCmd(0x01);
  delay(5);
  writeCmd(0x38);
  delay(5);
  writeCmd(0x0f);
  delay(5);
  writeCmd(0x06);
  delay(5);

  writeCmd(0x01);    // クリアコマンド
  delay(2);

  delay(1000);

  byte num = 0;
  for(i = 0; i < 16; i++) {
    writeData(0x30 + num);
    num = (num + 1) % 10;
  }
}



void loop(void) {


}



void writeCmd(byte cmd) {
  byte ccc;

  Wire.beginTransmission(0x50);

  ccc = 0x00;
  Wire.write(ccc);
  Wire.write(cmd);
  Wire.endTransmission();
}


void writeData(byte dat) {
  Wire.beginTransmission(0x50);
  Wire.write(0x80);
  Wire.write(dat);
  Wire.endTransmission();
}


//void i2cWriteByte(byte dat) {
//  i2c.Write(dat);
//  delayMicroseconds(50);    // ディレイ必要
//}

