//
//  テスト用サンプルプログラム WIRE, I2C スレーブ
//    copyright (c) 2013 T.Nakao      http://www.wsnak.com
//
//    スレーブ受信したデータをスレーブ送信する
//
//    10/05/05,12/02/25
//

#include <Wire.h>

int I2CAdrs;
byte Buf[10];


// 初期化
void setup(void) {
  pinMode(13, OUTPUT);        // オンボードLED

  I2CAdrs = 0x10;

  Wire.begin(I2CAdrs);        // スレーブ初期化

  Wire.onReceive(hI2CSlvRcv);
  Wire.onRequest(hI2CSlvSnd);
}


// メインループ
void loop(void) {
}


// スレーブ受信時のハンドラ
void hI2CSlvRcv(int cnt) {
  byte i;

  for(i = 0; i < cnt; i++) {
    Buf[i] = Wire.read();               // データ読み出し
//  Buf[i] =  Wire.receive(Buf[i]);     // データ読み出し(旧バージョン)

  }

  digitalWrite(13, HIGH);   // LED ON
}


// スレーブ送信時のハンドラ
void hI2CSlvSnd(void) {

//  Buf[0] = 0x34;
//  Buf[1] = 0x56;

  Wire.write(Buf, 2);       // データ スレーブ送信送信
//Wire.send(Buf, 2);        // データ スレーブ送信送信(旧バージョン)
  digitalWrite(13, LOW);    // LED OFF
}
