//
//  TmLedTest2.pde
//  ライブラリ "wCtcTimer2A" テストプログラム
//    copyright (c) 2013 T.Nakao      http://www.wsnak.com
//
//    10/05/08 LEDを1秒ごとに点滅(ハンドラタイプ)
//

#include <wCTimer.h>


wCtcTimer2A tm;         // タイマのインスタンス化

byte Count = 0;
byte LedSts = true;

// 初期化
void setup(void) {
  tm.init(125);           // 8msに設定
  pinMode(13, OUTPUT);    // LED用出力ポート
  tm.onTimer(OnTimer);    // ハンドラ登録
}

// メインループ
void loop(void) {
  tm.checkTimeup();
}


// タイマハンドラ(8ms)
void OnTimer(void) {
  Count++;
  if(Count == 125) {
    Count = 0;
    if(LedSts) {
      digitalWrite(13, HIGH);
    } else {
      digitalWrite(13, LOW);
    }
    LedSts = !LedSts;
  }
}
