//
//  ライブラリ "wB10Led" テストプログラム
//    copyright (c) 2013 T.Nakao      http://www.wsnak.com
//
//    10/05/20 WSN296 10桁バーLED用ドライバ テストプログラム (DBG済み)
//      TEST1 ビット操作
//      TEST2 レベル表示
//      TEST3 バイナリ表示
//


#include <wDisplay.h>

//#define TEST1   // ビット制御
//#define TEST2   // レベル
#define TEST3     // バイナリ


wB10Led BLed(2, 3, 4);      // CK:D2, DI:D3, LT:D4

uint16_t Count = 0;
byte Count2 = 0;
byte rvs = false;


// 初期化
void setup(void) {
//  BLed.levelRvs = true;     // レベル表示時のバー伸縮方向 左→右
}


// メインループ
void loop(void) {

#ifdef TEST1    // ビット制御
  if(!rvs) {
    //BLed.writeBit(9 - Count, true);
    BLed.writeBit(Count, true);
  } else {
    //BLed.writeBit(9 - Count, false);
    BLed.writeBit(Count, false);
  }
  Count = (Count + 1) % 10;
  if(Count == 0) {
    rvs = !rvs;
  }

  BLed.writeExtByte(Count2);
  Count2++;
  Count2 &= 0x0F;

#endif

#ifdef TEST2    // レベル
  BLed.wirteLevel(Count);
  Count = (Count + 1) % 11;

  BLed.writeExtByte(Count2);
  Count2++;
  Count2 &= 0x0F;
#endif

#ifdef TEST3    // バイナリ
  BLed.writeBin(Count);
  Count++;
  Count &= 0x03FF;

  BLed.writeExtByte(15-Count2);
  Count2++;
  Count2 &= 0x0F;
#endif


  delay(200);

}
